glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value_Pointer< T, PtrT > Class Template Reference
Generic Values

`#include <glibmm/value_custom.h>`

Inheritance diagram for Glib::Value_Pointer< T, PtrT >:
[legend]

List of all members.

## Public Types
typedef PtrT | CppType
typedef void* | CType
## Public Member Functions
void | set (CppType data)
CppType | get () const
## Static Public Member Functions
static GType | value_type ()

### template <class T, class PtrT>
class Glib::Value_Pointer< T, PtrT >

## Member Typedef Documentation

template <class T, class PtrT>

typedef PtrT Glib::Value_Pointer< T, PtrT >::CppType

template <class T, class PtrT>

typedef void* Glib::Value_Pointer< T, PtrT >::CType

## Member Function Documentation

template <class T, class PtrT>

CppType Glib::Value_Pointer< T, PtrT >::get | ( |  | ) | const`[inline]`

template <class T, class PtrT>

void Glib::Value_Pointer< T, PtrT >::set | ( | CppType | data | ) | `[inline]`

template <class T, class PtrT>

static GType Glib::Value_Pointer< T, PtrT >::value_type | ( |  | ) | `[inline, static]`

Reimplemented from Glib::ValueBase_Object.